@import "../constants/background";
@import "../fonts/fonts";
@import "../constants/colors";

.experience {

  padding: 30px;
  font-family: $main-family-fonts;

  &__title {
    margin-bottom: 10px;
    font-weight: $main-fonts-bold;
    font-size: 40px;
    line-height: 44px;
  }

  &__description {
    margin-bottom: 30px;
    font-weight: $main-fonts-normal;
    font-style: italic;
    font-size: 16px;
    line-height: 18px;
  }

  &__skills {
    margin-bottom: 20px;

    &-list {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      align-items: center;
      flex-wrap: wrap;

      &-item {
        box-sizing: border-box;
        display: flex;
        align-items: center;
        justify-content: center;
        padding: 0 5px;
        height: 60px;
        font-weight: $main-fonts-bold;
        font-size: 18px;
        line-height: 20px;
        color: $skills-color;
        text-align: center;
        border-bottom: 2px solid transparent;
        word-break: break-word;
        cursor: pointer;

        &--nodejs span {
          width: 205px;
        }

        &:hover {
          color: $skills-color-hover;
        }

        &_active {
          color: $skills-color-active;
          border-bottom: 2px solid $skills-border-color-active;
        }

        & i {
          margin-right: 5px;
        }
      }
    }
  }

  &__knowledge {

    &-image {
      align-self: center;
      width: 150px;
      height: 150px;
      margin-bottom: 20px;
      border: 4px solid $knowledge-border-image-color;
      border-radius: 50%;
      overflow: hidden;

      & img {
        display: block;
        width: 100%;
        height: 100%;
      }
    }

    &-list {

      &-item {
        display: none;

        &_active {
          display: flex;
          flex-direction: column;
        }
      }
    }

    &-description {
      font-size: 16px;
      line-height: 20px;
      text-align: justify;

      &-list {
        margin-top: 10px;
        padding-left: 20px;

        &-item {
          position: relative;
          margin-bottom: 10px;

          &::after {
            content: '';
            height: 10px;
            width: 10px;
            background: #1B9292;
            display: block;
            position: absolute;
            transform: rotate(45deg);
            top: 20%;
            left: -20px;
          }
        }
      }
    }
  }
}

i.fa-arrow-circle-right {
  display: none;
}